| Qore DataProvider Module Reference 3.2.2

Loading...
Searching...
No Matches
Public Attributes | List of all members
DataProvider::DataTypeInfo Struct Reference

describes a data type More...

`#include <AbstractDataProviderType.qc.dox.h>`

## Public Attributes
string | base_type
| Output: base type.
bool | can_manage_fields = False
| If fields can be added dynamically to the type and if the type will accept any field at runtime.
*hash< DataTypeInfo > | default_field_type_info
| Default type for fields not listed in fields.
auto | default_value
| The default value for the type.
string | desc
| The description of the type.
string | display_name
| The display name for the type.
*hash< DataTypeInfo > | element_type
| A type description of any element type.
*hash< string, hash< DataFieldInfo > > | fields
| Any fields supported by the type; will be NOTHING when recursive is True.
bool | mandatory
| Output: can be null / missing?
string | name
| The name of the type.
*hash< auto > | options
| Output: current transformation option values.
*string | path
| The type path in the type cache, if known.
bool | recursive
| Recursive flag.
string | short_desc
| A short description for the type, plain text formatting.
*hash< string, hash< DataProviderTypeOptionInfo > > | supported_options
| Output: transformation options supported by the type.
*hash< auto > | tags
| Any tags set on the type.
list< string > | types_accepted
| Output: list of types accepted.
list< string > | types_returned
| Input: list of types returned.
string | unique_key
| Unique type identifier.

## Detailed Description

describes a data type